package com.chenyang.nse.bussiness.entity;

public class Column {
   private String name;
   private String type;
   private String length;
   private String constraint;
   private boolean primarykey;

   public Column() {
   }

   public Column(String name, String type, String length, String constraint, boolean primarykey) {
      this.name = name;
      this.type = type;
      this.length = length;
      this.constraint = constraint;
      this.primarykey = primarykey;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getLength() {
      return this.length;
   }

   public void setLength(String length) {
      this.length = length;
   }

   public String getConstraint() {
      return this.constraint;
   }

   public void setConstraint(String constraint) {
      this.constraint = constraint;
   }

   public boolean isPrimarykey() {
      return this.primarykey;
   }

   public void setPrimarykey(boolean primarykey) {
      this.primarykey = primarykey;
   }
}
